Bug 170504 - Review Request: makebootfat - Utility for creation bootable FAT disk
Review Request: makebootfat - Utility for creation bootable FAT disk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://advancemame.sourceforge.net/do...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-12 10:09 EDT by Dmitry Butskoy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-26 07:07:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2005-10-12 10:09:31 EDT
Spec Url: http://dmitry.butskoy.name/makebootfat/makebootfat.spec
SRPM Url: http://dmitry.butskoy.name/makebootfat/makebootfat-1.4-1.src.rpm

Description: 
This utility creates a bootable FAT filesystem and populates it
with files and boot tools.

It was mainly designed to create bootable USB and Fixed disk
for the AdvanceCD project (http://advancemame.sourceforge.net), but
can be successfully used separately for any purposes.


Additional info:
This utility can help anaconda to create universal diskboot.img, suitable for any type of USB booting...

In the future, when anaconda will support installing from flat file tree (not hd iso only ;)), it will be possible to create on a "big" USB disk full installation stuff with updates. (Currently it is possible for network installs only).
Comment 1 John Mahowald 2005-12-10 21:14:01 EST
- rpmlint says:
E: makebootfat only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

Probably a good idea, these are mbrs and such, not shared objects and not
architecture dependent. Move this.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file



It would be a good idea to show upstream the doc you wrote.

Comment 2 Dmitry Butskoy 2005-12-11 07:11:15 EST
> There are only non binary files in /usr/lib so they should be in /usr/share.
I'm not a x86 guru, but "file ldlinux.bss" say "x86 boot sector", "mbrfat.bin"
has a source "mbrfat.asm" which has x86 commends...

Are you sure these two files are architecture independent?

Perhaps we even should specify ExclusiveArch tag...
Comment 3 Dmitry Butskoy 2005-12-19 08:24:20 EST
ping :) ?
Comment 4 Dmitry Butskoy 2005-12-21 09:16:48 EST
> Perhaps we even should specify ExclusiveArch tag...
Assume not, IMHO makebootfat executable can be run on any arch, just the result
(a disk image) seems to be x86-dependent.
Comment 5 John Mahowald 2005-12-24 18:13:32 EST
OK, after reading the FHS I see that /usr/lib is the place for "internal
binaries". A boot sector and an executable qualify.

Note that under 64 bit these will appear under /usr/lib64, which is misleading.
You may want to force /usr/lib

As per comment 1, APPROVED.
Comment 6 Dmitry Butskoy 2005-12-26 06:24:06 EST
> Note that under 64 bit these will appear under /usr/lib64
Yep...

I think it would be better to behave like grub package, i.e. place these
x86-specific files under /usr/share/makebootfat/x86/* . IMHO it is more correct,
because under /usr/lib we should place some HOST-specific internal binaries, but
actually these two files are TARGET-specific...
Comment 7 John Mahowald 2006-01-25 11:23:27 EST
(In reply to comment #6)
> I think it would be better to behave like grub package, i.e. place these
> x86-specific files under /usr/share/makebootfat/x86/* . IMHO it is more correct,
> because under /usr/lib we should place some HOST-specific internal binaries, but
> actually these two files are TARGET-specific...

OK, doing it like grub makes sense in that respect. Do it that way, and tell
upstream about this discussion about where to put these files, if you would please.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.